Open SCAP Library

Public Member Functions
oval_directives_model Struct Reference
OVAL » OVALDIR

This structure holds instance of OVAL Directives. More...

`#include <oval_directives.h>`

## Public Member Functions
struct oval_directives_model * | oval_directives_model_new (void)
void | oval_directives_model_free (struct oval_directives_model *)
int | oval_directives_model_import_source (struct oval_directives_model *model, struct oscap_source *source)
| Import the data from oscap_source to the directives model.
int | oval_directives_model_import (struct oval_directives_model *, char *)
struct oval_generator * | oval_directives_model_get_generator (struct oval_directives_model *)
struct oval_result_directives * | oval_directives_model_get_defdirs (struct oval_directives_model *)
struct oval_result_directives * | oval_directives_model_get_classdir (struct oval_directives_model *, oval_definition_class_t)
struct oval_result_directives * | oval_directives_model_get_new_classdir (struct oval_directives_model *, oval_definition_class_t)
int | oval_directives_model_export (struct oval_directives_model *, const char *)

## Detailed Description

This structure holds instance of OVAL Directives.

The documentation for this struct was generated from the following file:

- oval_directives.h